{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
    {% include "default/flashBag.html.twig" %}

    <div class="h-100 justify-content-center d-flex flex-column container card-header">

        <form method="post" style="margin:40vh">
            <h4 style="margin-top:5%;">Adopte un dev : {% if app.request.pathinfo == "/register" %}inscription{% else %}Connexion{% endif %}</h4>
        
            {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            <label for="inputEmail" class="mb-10">Email</label>
            <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" placeholder="Email" required autofocus>
            <label for="inputPassword" class="mb-10">Password</label>
            <input type="password" name="password" id="inputPassword" class="form-control" placeholder="Password" required>

            <input type="hidden" name="_csrf_token"
                value="{{ csrf_token('authenticate') }}"
            >

                <div class="checkbox mb-3">
                    <label>
                        <input type="checkbox" name="_remember_me"> Remember me
                    </label>
                </div>

            <button class="btn btn-lg btn-primary" type="submit">
                Sign in
            </button>
            {% if app.request.pathinfo == "/login" %}<a href="{{ path('app_register') }}">Inscription</a>{% endif %}
        </form>
    </div>
{% endblock %}
